<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla13_add($idformato, $pdf)
{
    //echo "******************************** ", $idformato;
    $CI = &get_instance();
    $CI->load->database();
    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);
    $y = 1;

    $where = array('idformato' => $idformato);
    $query7 = $CI->db->get_where('13_adeudos_add', $where, 1);
    $codigo_13_add = $query7->row();
    $pdf->SetTextColor(0, 0, 0);

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    $CI->db->select('*')->from('13_adeudos_add')->where('idformato', $idformato)->where('activo', 1);
    $consulta = $CI->db->get()->result_array();
    $lenght = count($consulta) - 1;
    
    for ($x = 0; $x <= $lenght; $x++) {
        $datos = array(
            $id = $consulta[$x]['idadeudo'],
            'idadeudo' => $consulta[$x]['idadeudo'],
            'tipo_adeudo' => $consulta[$x]['tipo_adeudo'],
            'tipo_adeudo_esp' => $consulta[$x]['tipo_adeudo_esp'],
            'titular_adeudo' => $consulta[$x]['titular_adeudo'],
            'numero_cuenta' => $consulta[$x]['numero_cuenta'],
            'fecha_adquisicion' => $consulta[$x]['fecha_adquisicion'],
            'monto_adeudo' => $consulta[$x]['monto_adeudo'],
            'tipo_moneda' => $consulta[$x]['tipo_moneda'],
            'saldo' => $consulta[$x]['saldo'],
            'tercero' => $consulta[$x]['tercero'],
            'nombre_tercero' => $consulta[$x]['nombre_tercero'],
            'rfc_tercero' => $consulta[$x]['rfc_tercero'],
            'otorgante' => $consulta[$x]['otorgante'],
            'nombre_otorgante' => $consulta[$x]['nombre_otorgante'],
            'rfc_otorgante' => $consulta[$x]['rfc_otorgante'],
            'mexico_extranjero' => $consulta[$x]['mexico_extranjero'],
            'pais' => $consulta[$x]['pais'],
            'aclaraciones' => $consulta[$x]['aclaraciones'],
        );

        $where = array('idformato' => $idformato, 'idadeudo' => $id);
        $CI->db->select('tipos_declarante.nombre as nombre');
        $CI->db->from('13_adeudos_add');
        $CI->db->join('tipos_declarante', '13_adeudos_add.titular_adeudo=tipos_declarante.idtipo');
        $CI->db->where($where);;
        $query = $CI->db->get();
        $view_declarante13 = $query->row();
$y++;
        if ($codigo_13_add->idformato == $idformato) {

           // if ($codigo->tipo_formato == 1) {
                $pdf->setSourceFile('plantillas/Adeudos_13_In.pdf');
            // }else{
            //     $pdf->setSourceFile('plantillas/Adeudos_13.pdf');
            // }

           
            $pdf->AddPage();
            $tplIdx = $pdf->importPage(1);
            $pdf->useTemplate($tplIdx, 0, 0);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->SetTextColor(255, 255, 255);
            $pdf->SetFillColor(122, 70, 100);
            $pdf->SetY(24);
            $pdf->SetX(176);
            $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # ' . $y), 0, 0, true);
            $pdf->SetY(24);
            $pdf->SetX(13);
            $pdf->MultiCell(152, 6, ' ', 0, 0, true);
            $pdf->SetFont('Arial', '', 8);
            $pdf->SetTextColor(0, 0, 0);
            // if ($codigo_13->ninguno == '1') {
            //     $logo = SERVIDOR . APP . 'application/images/check2.png';
            //     $pdf->Image($logo, 191.1, 58, 4, 4);
            // }
            $pdf->SetY(56);
            $pdf->SetX(50);
            //  $pdf->Cell(92, 4, utf8_decode($codigo_13->tipo_adeudo));
            if ($datos["tipo_adeudo"] == 'OTRO / ESPECIFIQUE') {
                $pdf->Cell(60, 4, utf8_decode($datos["tipo_adeudo_esp"]));
            } else {
                $pdf->Cell(60, 4, utf8_decode($datos["tipo_adeudo"]));
            }
            $pdf->Ln(5);
            $pdf->SetX(50);
            if ($view_declarante13 != null) {
                $pdf->Cell(124, 4, utf8_decode($view_declarante13->nombre));
            }

            $pdf->Ln(9);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["numero_cuenta"]));
            $pdf->Cell(92, 4, utf8_decode($datos["fecha_adquisicion"]));
            $pdf->Ln(13);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($datos["monto_adeudo"]));
            $pdf->Cell(90, 4, utf8_decode($datos["tipo_moneda"]));
            $pdf->Cell(42, 4, utf8_decode($datos["saldo"]));
            $pdf->Ln(10);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($datos["tercero"]));
            $pdf->Cell(97, 4, utf8_decode($datos["nombre_tercero"]));
            $pdf->Cell(42, 4, utf8_decode($datos["rfc_tercero"]));
            $pdf->Ln(11);
            $pdf->SetX(13);
            $pdf->Cell(45, 4, utf8_decode($datos["otorgante"]));
            $pdf->Cell(97, 4, utf8_decode($datos["nombre_otorgante"]));
            $pdf->Cell(42, 4, utf8_decode($datos["rfc_otorgante"]));
            $pdf->Ln(9.5);
            $pdf->SetX(13);
            $pdf->Cell(92, 4, utf8_decode($datos["mexico_extranjero"]));

            if ($datos["mexico_extranjero"] == 'EN EL EXTRANJERO') {
                $pdf->SetX(70);
                $pdf->Cell(92, 4, '[' . utf8_decode($datos["pais"]) . ']');
            }

            $pdf->SetY(124);
            $pdf->SetX(13);
            $pdf->MultiCell(184, 3.5, utf8_decode($datos["aclaraciones"]));

            
        }
    }

    //  return $pdf->Output("ejemplo.pdf", 'I', false);
}
